Package net.shibboleth.saml.profile.config.navigate.messaging

# Class MessageHandlerLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.messaging.AbstractRelyingPartyLookupFunction<Function<MessageContext,Exception>>
net.shibboleth.saml.profile.config.navigate.messaging.MessageHandlerLookupFunction

All Implemented Interfaces:
  `Function<MessageContext,Function<MessageContext,Exception>>`, `ContextDataLookupFunction<MessageContext,Function<MessageContext,Exception>>`

public class MessageHandlerLookupFunction extends AbstractRelyingPartyLookupFunction<Function<MessageContext,Exception>>
A function that returns `SAMLProfileConfiguration.getMessageHandler(MessageContext)` if such a profile is available from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, a null value is returned.

## Constructor Summary

Constructors
Constructor
Description
`MessageHandlerLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Function<MessageContext,Exception>`
`apply(MessageContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.messaging.AbstractRelyingPartyLookupFunction

`getProfileRequestContext, getProfileRequestContextLookupStrategy, getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setProfileRequestContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### MessageHandlerLookupFunction

public MessageHandlerLookupFunction()

## Method Details

### apply

@Nullable public Function<MessageContext,Exception> apply(@Nullable MessageContext input)